Bug 2678 - cannot launch DOS executables with MS-DOS 6.22 client
cannot launch DOS executables with MS-DOS 6.22 client
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.14a
x86 other
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-04 01:09 UTC by Jeffry Sleddens
Modified: 2005-10-04 04:50 UTC (History)
1 user (show)

See Also:


Attachments
smb.conf (3.96 KB, text/plain)
2005-05-04 01:13 UTC, Jeffry Sleddens
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeffry Sleddens 2005-05-04 01:09:27 UTC
(Seems to be closely related to closed bug #1606)

Server: Debian GNU/Linux 3.1 (testing)
Clients: DOS (Lanman 2.1)

We are using bootdisks (www.netbootdisk.com) to access a samba share for ghost 
imaging, for this we use a mix of MS-DOS 6.22 and bootdisks created in Windows 
XP (reported dos version Windows Millenium [Version 4.90.3000]).

This all worked great until we upgraded from samba 3.0.10 to 3.0.14a, after 
this the MS-DOS 6.22 based disks couldnt execute any binaries or scripts 
anymore ('Bad command or file name'), whereas the disks built with Windows XP 
dos continued to work normally.
Comment 1 Jeffry Sleddens 2005-05-04 01:14:27 UTC
Created attachment 1204 [details]
smb.conf

The used smb.conf
Comment 2 Wolfgang Ratzka 2005-08-08 09:05:11 UTC
(In reply to comment #0)
> (Seems to be closely related to closed bug #1606)
> 
> Server: Debian GNU/Linux 3.1 (testing)
> Clients: DOS (Lanman 2.1)
> 
> We are using bootdisks (www.netbootdisk.com) to access a samba share for ghost 
> imaging, for this we use a mix of MS-DOS 6.22 and bootdisks created in Windows 
> XP (reported dos version Windows Millenium [Version 4.90.3000]).
> 
> This all worked great until we upgraded from samba 3.0.10 to 3.0.14a, after 
> this the MS-DOS 6.22 based disks couldnt execute any binaries or scripts 
> anymore ('Bad command or file name'), whereas the disks built with Windows XP 
> dos continued to work normally.
Comment 3 Wolfgang Ratzka 2005-08-08 09:14:46 UTC
... what I wanted to say:

I see this too with DOS 6.22 disks but not with Windows 95 disks.
Comment 4 Jeremy Allison 2005-08-08 09:35:20 UTC
Test this against the 3.0.20rc2 code. I think this is fixed.
Jeremy.
Comment 5 Gerald (Jerry) Carter 2005-10-04 04:50:01 UTC
closing.